Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class SetOverrideType

    java.lang.Object
      org.omg.CORBA.SetOverrideType

All Implemented Interfaces:
  Serializable, IDLEntity

    public class SetOverrideType

extends Object
implements IDLEntity

The mapping of a CORBA `enum` tagging `SET_OVERRIDE` and `ADD_OVERRIDE`, which indicate whether policies should replace the existing policies of an `Object` or be added to them.

The method `omg.org.CORBA.Object._set_policy_override` takes either `SetOverrideType.SET_OVERRIDE` or `SetOverrideType.ADD_OVERRIDE` as its second argument. The method `_set_policy_override` creates a new `Object` initialized with the `Policy` objects supplied as the first argument. If the second argument is `ADD_OVERRIDE`, the new policies are added to those of the `Object` instance that is calling the `_set_policy_override` method. If `SET_OVERRIDE` is given instead, the existing policies are replaced with the given ones.

Since:
  JDK1.2

Field Summary
`static int` | `_ADD_OVERRIDE` The `int` constant for the enum value ADD_OVERRIDE.
`static int` | `_SET_OVERRIDE` The `int` constant for the enum value SET_OVERRIDE.
`static SetOverrideType` | `ADD_OVERRIDE` The `SetOverrideType` constant for the enum value ADD_OVERRIDE.
`static SetOverrideType` | `SET_OVERRIDE` The `SetOverrideType` constant for the enum value SET_OVERRIDE.

Constructor Summary
`protected` | `SetOverrideType(int _value)` Constructs a `SetOverrideType` instance from an `int`.

Method Summary
`static SetOverrideType` | `from_int(int i)` Converts the given `int` to the corresponding `SetOverrideType` instance.
`int` | `value()` Retrieves the value of this `SetOverrideType` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _SET_OVERRIDE

    public static final int _SET_OVERRIDE

  The `int` constant for the enum value SET_OVERRIDE.

  See Also:
    Constant Field Values

### _ADD_OVERRIDE

    public static final int _ADD_OVERRIDE

  The `int` constant for the enum value ADD_OVERRIDE.

  See Also:
    Constant Field Values

### SET_OVERRIDE

    public static final SetOverrideType SET_OVERRIDE

  The `SetOverrideType` constant for the enum value SET_OVERRIDE.

### ADD_OVERRIDE

    public static final SetOverrideType ADD_OVERRIDE

  The `SetOverrideType` constant for the enum value ADD_OVERRIDE.

Constructor Detail

### SetOverrideType

    protected SetOverrideType(int _value)

  Constructs a `SetOverrideType` instance from an `int`.

  Parameters:
    `_value` - must be either `SET_OVERRIDE` or `ADD_OVERRIDE`

Method Detail

### value

    public int value()

  Retrieves the value of this `SetOverrideType` instance.

  Returns:
    the `int` for this `SetOverrideType` instance.

### from_int

    public static SetOverrideType from_int(int i)

  Converts the given `int` to the corresponding `SetOverrideType` instance.

  Parameters:
    `i` - the `int` to convert; must be either `SetOverrideType._SET_OVERRIDE` or `SetOverrideType._ADD_OVERRIDE`
  Returns:
    the `SetOverrideType` instance whose value matches the given `int`
  Throws:
    `BAD_PARAM` - if the given `int` does not match the value of any `SetOverrideType` instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.